﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingMenu", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingMenu", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingMenu", Operations.Delete);
}
@section Scripts{
    @*<script src="/controller/role/role.js"></script>*@
    }

<div class="container-fluid">
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Ngochau</a></li>
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Master Order</a></li>
                        <li class="breadcrumb-item active">Master Order Details</li>
                    </ol>
                </div>
                <h4 class="page-title">COMMERCIAL INVOICE & PACKING LIST</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title mb-3">Customer</h4>

                    <ul class="list-unstyled mb-0">
                        <li>
                            <p class="mb-2"><span class="fw-bold me-2">Name:</span> ARDMORE HOME DESIGN </p>
                            <p class="mb-2"><span class="fw-bold me-2">Address:</span> 918 S. Stimson Ave, City of Industry, CA 91745</p>
                            <p class="mb-2"><span class="fw-bold me-2">Phone: </span> (626) 333 1177 </p>
                            <p class="mb-0"><span class="fw-bold me-2">FAX: </span> (626) 628 3115</p>
                        </li>
                    </ul>

                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title mb-3">Order Infor</h4>
                    <ul class="list-unstyled mb-0">
                        <li>
                            <p class="mb-2"><span class="fw-bold me-2">PO#:</span> MGP213435</p>
                            <p class="mb-2"><span class="fw-bold me-2">PO Date:</span> 02/02/2023</p>
                            <p class="mb-2">
                                <span class="fw-bold me-2">Contact:</span> SIAMKARAT VIETNAM REP OFFICE <br />
                                Ms. Helen - Merchandiser
                            </p>

                        </li>
                    </ul>

                </div>
            </div>
        </div>
    </div>
    <!-- end row -->

    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title mb-3">Items from Order #MGPO1103 SMP</h4>

                    <div class="table-responsive">
                        <table class="table table-centered table-nowrap mb-0">
                            <thead class="table-light">
                                <tr>
                                    <th>CTR (Mã Container)</th>
                                    <th>Item (Item Code)</th>
                                    <th>Tên Item (Item Name)</th>
                                    <th>Mã sản phẩm (Product Code)</th>
                                    <th>Tên sản phẩm (Product Name)</th>
                                    <th>Hoàn thiện (Finish)</th>
                                    <th>Giá (Unit Price)</th>
                                    <th style="text-align:center">Số lượng (Quantity)</th>
                                    <th style="text-align:center">FOB</th>
                                    <th>Deposit Amnt</th>
                                    <th>Balance Amnt</th>
                                    <th>Ghi chú (Note)</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><b><a href="/cpanel/invoice/invoice">MGPO12429</a></b></td>
                                    <td>CMPFUR-RP71</td>
                                    <td>Tên Item ABC</td>
                                    <td>BFHSK-SMN</td>
                                    <td>Replacement Part, Shelf Support Peg, 6mm.</td>
                                    <td style="text-align:center">MTL</td>
                                    <td style="text-align:center">10</td>
                                    <td style="text-align:center">70</td>
                                    <td style="text-align:center">80</td>
                                    <td style="text-align:center">2</td>
                                    <td style="text-align:center">2</td>
                                    <td>Ghi chú</td>
                                </tr>
                                <tr>
                                    <td><b><a href="/cpanel/invoice/invoice">MGPO12429</a></b></td>
                                    <td>CMPFUR-RP71</td>
                                    <td>Tên Item ABC</td>
                                    <td>BFHSK-SMN</td>
                                    <td>Replacement Part, Shelf Support Peg, 6mm.</td>
                                    <td style="text-align:center">MTL</td>
                                    <td style="text-align:center">10</td>
                                    <td style="text-align:center">70</td>
                                    <td style="text-align:center">80</td>
                                    <td style="text-align:center">2</td>
                                    <td style="text-align:center">2</td>
                                    <td>Ghi chú</td>
                                </tr>
                                <tr>
                                    <td><b><a href="/cpanel/invoice/invoice">MGPO12429</a></b></td>
                                    <td>CMPFUR-RP71</td>
                                    <td>Tên Item ABC</td>
                                    <td>BFHSK-SMN</td>
                                    <td>Replacement Part, Shelf Support Peg, 6mm.</td>
                                    <td style="text-align:center">MTL</td>
                                    <td style="text-align:center">10</td>
                                    <td style="text-align:center">70</td>
                                    <td style="text-align:center">80</td>
                                    <td style="text-align:center">2</td>
                                    <td style="text-align:center">2</td>
                                    <td>Ghi chú</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <!-- end table-responsive -->

                </div>
            </div>
        </div> <!-- end col -->


    </div>
    <!-- end row -->
</div>


<!-- Success Header Modal -->
@* <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#success-header-modal">Success Header</button>
    <div id="success-header-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="success-header-modalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-success">
                    <h4 class="modal-title" id="success-header-modalLabel">#SMPN - SWATCH, Square, Faux Raffia, Pristine</h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-hidden="true"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Mã SKU</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">CTR#</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Số lượng</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Đơn giá</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Deposit</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Actual ETD</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <select class="form-control select2" data-toggle="select2">
                                <option>Chọn Item</option>
                                <optgroup label="Alaskan/Hawaiian Time Zone">
                                    <option value="AK">Alaska</option>
                                    <option value="HI">Hawaii</option>
                                </optgroup>
                                <optgroup label="Pacific Time Zone">
                                    <option value="CA">California</option>
                                    <option value="NV">Nevada</option>
                                    <option value="OR">Oregon</option>
                                    <option value="WA">Washington</option>
                                </optgroup>
                            </select>
                        </div>

                        <div class="col-sm-6">

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Tên sản phẩm</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">CBM</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Số lượng xuất</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Total value</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Deposit Date</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="simpleinput" class="form-label">Deadline ETD</label>
                                <input type="text" id="simpleinput" class="form-control">
                            </div>

                            <select class="form-control select2" data-toggle="select2">
                                <option>Chọn Màu</option>
                                <optgroup label="Alaskan/Hawaiian Time Zone">
                                    <option value="AK">Alaska</option>
                                    <option value="HI">Hawaii</option>
                                </optgroup>
                                <optgroup label="Pacific Time Zone">
                                    <option value="CA">California</option>
                                    <option value="NV">Nevada</option>
                                    <option value="OR">Oregon</option>
                                    <option value="WA">Washington</option>
                                </optgroup>
                            </select>

                        </div>
                    </div>


                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-success">Save changes</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->*@
